package com.om.controller.Dept;

import com.om.entity.po.Dept;
import com.om.entity.po.Result;
import com.om.service.DeptService;
import lombok.extern.slf4j.Slf4j;
import lombok.extern.slf4j.XSlf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 修理厂管理Controller
 */
@Slf4j
//@XSlf4j
@RestController
public class DeptController {
    @Autowired
    private DeptService deptService;


    /*查询所有修理厂信息*/
    @GetMapping("/depts")  //设定为通过get访问
    public Result list(){
        log.info("查询全部部门数据--日志log");
        List<Dept> deptList=deptService.list();

        return Result.success(deptList);
    }

    /*根据id删除修理厂信息*/
    @DeleteMapping("/depts/{id}")
    public Result delete(@PathVariable Integer id){
        log.info("根据id删除修理厂信息：{}",id);
        //调用Service进行删除
        deptService.delete(id);
        return Result.success();
    }
    /*添加修理厂信息*/
    @PostMapping("/depts")
    public Result add(@RequestBody Dept dept){
        log.info("新增修理厂:{}",dept);
        deptService.add(dept);
        return Result.success();
    }

    /*修改修理厂信息*/
     //先根据id进行查询，然后再根据id进行修改  这个暂时还不行
    @GetMapping("/depts/{id}")
    public Result DeptById(@PathVariable Integer id){
        log.info("根据id查询信息,id为：{}",id);
        deptService.DeptById(id);

        return Result.success();
    }
    @PutMapping("/depts")
    public Result Deptupdate(@RequestBody Dept dept){
        log.info("更新修理厂信息，{}",dept);
        deptService.Deptupdate(dept);
        return Result.success();
    }

}
























